from typing import Dict, TypedDict, Any
from enum import Enum


class WaitHook(TypedDict):
    url: str
    secret: str


class WaitHookResponse(TypedDict):
    username: str
    values: Dict[str, Any]


class Channel(TypedDict):
    """
- Contains details about a slack channel

!!! info "Channel Keys"

    __name:__ The name of the channel

    __ID:__ The ID number of the channel

    __Creator:__ The id of the channel creator

    """

    name: str
    id: str
    value: Dict[str, Any]
    creator: str


class ChannelTypes(Enum):
    public = "public_channel"
    private = "private_channel"
    public_private = "private_channel,public_channel"
